Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 227740

Summary: fast-user-switch: fails when closing a login
Product: [Fedora] Fedora Reporter: Bill Nottingham <notting>
Component: gdmAssignee: jmccann
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: cschalle, davidz, rvokal
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-03-26 22:42:41 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Bill Nottingham 2007-02-07 21:18:28 UTC
Sorry, no f-u-s-a component.

ConsoleKit-0.1.0-5.fc7
gdm-2.17.6-2.fc7
fast-user-switch-applet-2.17.3-2.fc7

I started three sessions with f-u-s-a. One of them I logged out on. However,
it's still in the dropdown for active sessions. If I select it once, it switches
to the empty VT. On switching back, I try and select it again (it's still
listed), and I get:

Display Manager Unavailable

In order for the User Selector to function properly, the GNOME Display Manager
must be running, but it is not.

Details
  The display manager is not running or too old.
  0 Not Implemented.

at which point f-u-s-a exits.

Comment 1 David Zeuthen 2007-04-02 23:44:44 UTC
Reassigning to proper component.

Comment 2 Matthias Clasen 2007-04-03 03:38:18 UTC
I haven't been able to reproduce this particular problem (though I have found
other problems). Can you still reproduce this, Bill ?

Comment 3 Bill Nottingham 2007-04-06 05:33:33 UTC
I've reproduced the 'shown as active even though logged out, and switch switches
to empty VT'.

Haven't reproduced the 'Display manager unavailable' error.

ConsoleKit-0.2.1-0.git20070204.fc7
gdm-2.18.0-7.fc7
fast-user-switch-applet-2.17.4-4.fc7


Comment 4 jmccann 2008-03-26 22:09:34 UTC
Bill, are you still able to reproduce this?

Comment 5 Bill Nottingham 2008-03-26 22:37:28 UTC
Feel free to close